請問前輩 2.5繁體中文語言包 是怎樣安裝才可以使用



  • 請問各位前輩:

    【2.5繁體中文語言包(全站)】
    是怎樣安裝才可以使用在後台選擇語言的部份?

    我已經將

    【admin_zh-TW.zip】內的 admin_zh-TW 改為 zh-TW 並 Copy to \administrator\language
    【site_zh-TW.zip】內的 site_zh-TW 改為 zh-TW 並 Copy to \language\

    但進入管理區,只見 Joomla! Administration Login 而不是 Joomla!管理登入

    請多多指教!感謝幫忙!



  • 各位前輩大家好
    小弟是最近才在學習Joomla 2.5 的新手

    繁體中文語系 zh-TW_joomla_lang_full_2.5.4_v1.zip
    壓縮檔裡有2個壓縮檔及1個pkg_zh_TW.xml檔

    可否麻煩各位前輩指點一下如何來安裝這個語言檔好嗎?

    我已經將兩個檔案分別放到不同的目錄,不知正確嗎?

    【admin_zh-TW.zip】內的 admin_zh-TW 改為 zh-TW 並 Copy to \administrator\language
    【site_zh-TW.zip】內的 site_zh-TW 改為 zh-TW 並 Copy to \language\

    但那個 xml 檔要做何處置?

    請多多指教!感謝幫忙!



  • 在擴充套件->擴充套件管理直接上傳壓縮檔安裝,再到擴充套件->語言管理裡去指定前後台的預設語言就行了!



  • 感謝快速回應!
    iamfunnyqueen前輩,感謝您!



  • 我還是不能安裝耶= =…
    JFolder::create: Could not create directory
    Aborting language installation: Failed to create directory [/home/ammas/public_html/administrator/language/zh-TW]
    Package Install: There was an error installing an extension: admin_zh-TW.zip



  • 妳試試看把原來的資料路徑內的[zh-TW]移除(/home/ammas/public_html/administrator/language/zh-TW)…再從管理介面[擴充套件管理>上傳套件包檔案]直接把[繁體中文包RAR]直接上傳應該就可以了!!!

    你試試看唷!! :P



  • 環境:Debian 6基本安裝 + Apache 2 + php5 + Mysql 5.1

    我想你應該是非window的環境,所以你必須注意目錄權限的問題。
    我目前的環境是joomla目錄的owner和apache的啟動者不同,所以
    我的解決方案是"半自動",把安裝時需要的目錄先建立起來,並修改權限,安裝完成再復原。

    1.進入管理區 -> 擴充套件 -> 擴充套件管理 ->警告,先解決所有警示的問題
    2.建立目錄 joomla/administrator/language/zh-TW、joomla//language/zh-TW
    3.變更目錄寫入權限 joomla/administrator/language/zh-TW、joomla//language/zh-TW、joomla/administrator/manifests/packages
    4.進入管理區 -> 擴充套件 -> 擴充套件管理 -> 上傳套件包檔案
    5.恢復目錄權限

    另一個解決方案是直接把joomla的owner直接改成和你的apache啟動者相同,應該也可以達成一樣的目的,
    試試吧!



  • 我不知道如何解決我的警示問題耶….
    以下是我所遇到的問題

    PHP 暫存目錄尚未設定

    PHP 的暫存目錄無法讓 PHP 存放上傳後的檔案。這個目錄尚未設定好或許並不會造成太大的問題,但是如果你無法偵測到上傳的文件或是其他問題的話,嘗試設定你的 php.ini 檔案或許可以解決這些問題。

    PHP上傳大小大於POST大小

    在php.ini中的upload_max_filesize數值大於post_max_size的數值。post_max_size變數將會是優先被使用,然後阻擋大於它的設定數值的資料。這是常見的主機為了要增加上傳大小的錯誤設定。請增加upload_max_filesize至少相對應於post_max_size變數的數值,反之亦然。

    而且我安裝布景主題包的時候並沒有解壓縮
    是用整個壓縮包從後台直接上傳安裝的卻沒有出現任何東西

    跟主機有問題嗎?
    我租用的虛擬主機是Linux的



  • 這跟你虛擬主機沒有關係

    基本上跟php版本也不一定有關係,

    應該跟你上傳的語系檔案有關係

    用這個網頁的那個就可以了.

    http://joomla.org.tw/downloads/install-language-package



  • 我是用那個網頁的中文語系檔案啊….



  • @ammas0528:

    我是用那個網頁的中文語系檔案啊….

    你不需要改設定,只要安裝上傳就好了

    然後到後台 擴充套件 語言管理(裡面有四個,已安裝 - 網站 已安裝 - 管理區等等)



  • 1.先把權限提高允許後
    2.開啟目錄 /libraries/joomla/filesystem/folder.php做編輯
    3.找到 $obd = ini_get(‘open_basedir’);
    4.接著做remark //$obd = ini_get(‘open_basedir’);
    自己測試如下



  • 謝謝大大,我在MAC OSX 10.8的環境
    也照著你的手動更改權限方式安裝成功了!


登入以回覆

看起來你的連線到 Joomla!台灣討論區 已經遺失,請稍等一下我們嘗試重新連線。